<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Project Settings</h4>
    </div>
    <div class="modal-body">
      <ngb-tabset [justify]="fill">
        <ngb-tab>
          <ng-template ngbTabTitle>
            <div class="tub-title">General</div>
          </ng-template>
          <ng-template ngbTabContent>
            <form class="form-general-tab">
              <div class="form-group">
                <label for="projectName" class="form-label">Название проекта:</label>
                <input name="name" [(ngModel)]="settings.name" type="text" id="projectName"
                       class="form-control col-lg-4">
              </div>
              <div class="form-group">
                <label for="description-project" class="form-label">Описание проекта: </label>
                <textarea name="description" [(ngModel)]="settings.description" class="form-control" rows="10"
                          id="description-project"></textarea>
              </div>
            </form>
          </ng-template>
        </ngb-tab>
        <ngb-tab>
          <ng-template ngbTabTitle>
            <div class="tub-title">Team</div>
          </ng-template>
          <ng-template ngbTabContent>
            <div class="tub-team-content">
              <div class="all-users">
                <label>All Users</label>
                <div class="inner-addon right-addon">
                  <i class="fa fa-search" aria-hidden="true"></i>
                  <input type="text" [(ngModel)]="searchUserFromAll" class="form-control input-team-tab"
                         placeholder="Search"/>
                </div>
              </div>
              <div class="selected-users">
                <label>Selected Users</label>
                <div class="inner-addon right-addon">
                  <i class="fa fa-search" aria-hidden="true"></i>
                  <input type="text" [(ngModel)]="searchUserFromSelected" class="form-control input-team-tab"
                         placeholder="Search"/>
                </div>
              </div>
              <div class="users-select">
                <select class="all-users-select" size="7">
                  <option (click)="addIntoSelectedUsers(user)" class="user-option" *ngFor="let user of listAllUsers | filter:searchUserFromAll">
                    {{user.name}} {{user.surname}} ({{user.email}})
                  </option>
                </select>
                <select class="selected-users-select" size="7">
                  <option name="team" (click)="removeFromSelectedUsers(user)" class="user-option" *ngFor="let user of selectedUsers | filter:searchUserFromSelected">
                    {{user.name}} {{user.surname}} ({{user.email}})
                  </option>
                </select>
              </div>
              <div class="form-group">
                <label class="label-team-lead" for="disabledSelect">Team Lead:</label>
                <select id="disabledSelect" [(ngModel)]="settings.teamLead" class="form-control select-team-lead">
                  <option name="teamLead" *ngFor="let user of selectedUsers" [value]="user" [selected]="settings.teamLead.name === user.name">
                    {{user.name}} {{user.surname}} ({{user.email}})
                  </option>
                </select>
              </div>
            </div>
          </ng-template>
        </ngb-tab>
      </ngb-tabset>
      <ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
    </div>
    <div class="modal-footer">
      <button [style.visibility]="isVisible ? 'visible' : 'hidden'" (click)="saveProjectSettings()" type="button"
              class="btn btn-primary" [disabled]="disabled">Save
      </button>
      <button class="btn btn-default" (click)="close()">Close</button>
    </div>
  </div>
</div>
